Bug 1391477 - [bug] ifcfg-rh plugin fails to re-read valid connection 802-1x connection
Summary: [bug] ifcfg-rh plugin fails to re-read valid connection 802-1x connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-03 12:06 UTC by Thomas Haller
Modified: 2017-08-01 09:19 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.8.0-0.2.git20170215.1d40c5f4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:19:37 UTC


Attachments (Terms of Use)
[PATCH] ifcfg-rh: accept 802.1x connection with empty EAP-TLS identity (2.15 KB, patch)
2016-11-10 09:33 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Thomas Haller 2016-11-03 12:06:50 UTC
(use dummy certificates from NetworkManager source-tree)



nmcli connection add type ethernet autoconnect no con-name t-ifcfg ifname '*'

nmcli connection modify t-ifcfg connection.stable-id "aa'bb" 802-1x.eap 'tls' 802-1x.client-cert $PWD/libnm-core/tests/certs/test2_ca_cert.pem 802-1x.private-key-password x 802-1x.private-key $PWD/libnm-core/tests/certs/test_key_and_cert.pem  802-1x.password "pass1"


all looks good:





TYPE=Ethernet
PROXY_METHOD=none
BOOTPROTO=dhcp
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=t-ifcfg
UUID=c7b348d3-3c79-4975-bd75-4d4562377f0e
ONBOOT=no
KEY_MGMT=IEEE8021X
IEEE_8021X_EAP_METHODS=TLS
IEEE_8021X_PRIVATE_KEY=/data/src/NetworkManager/libnm-core/tests/certs/test_key_and_cert.pem
IEEE_8021X_CLIENT_CERT=/data/src/NetworkManager/libnm-core/tests/certs/test2_ca_cert.pem
BROWSER_ONLY=no
PEERDNS=yes
PEERROUTES=yes
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes
STABLE_ID="aa\'bb"







After `nmcli connection reload` or NM restart:

NetworkManager[12220]: <debug> [1478174443.2532] ifcfg-rh: loading from file "/etc/sysconfig/network-scripts/ifcfg-t-ifcfg"...
NetworkManager[12220]: <warn>  [1478174443.2533] ifcfg-rh: loading "/etc/sysconfig/network-scripts/ifcfg-t-ifcfg" fails: Missing IEEE_8021X_IDENTITY for EAP method 'tls'.

Comment 2 Beniamino Galvani 2016-11-10 09:33:13 UTC
Created attachment 1219259 [details]
[PATCH] ifcfg-rh: accept 802.1x connection with empty EAP-TLS identity

Comment 3 Thomas Haller 2016-11-10 10:02:42 UTC
lgtm

Comment 6 errata-xmlrpc 2017-08-01 09:19:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.